Generate Video
This endpoint generates a new video using a face and either a script or an audio file.
https://docs.tavus.io/openapi.yaml for the full HTTP API contract.Authorizations
Body
The only required body parameters are replica_id and either script or audio_url. (replica_id is the face resource ID - the same value returned by GET /v2/faces.)
If a background_url is provided, Tavus records the website and uses it as the background. If a background_source_url is provided (for example a presigned S3 URL to a video), that video is used as the background. If neither is provided, the video is full-screen face only.
To learn more about generating videos with faces, see here.
To learn more about writing an effective script for your video, see Scripting prompting.
- Generate from Text
- Generate from Audio File
A text script that will be used to generate the audio in the video.
"Hello from Tavus! Enjoy your new face"
The Face ID to render in the video (same resource as face_id on /v2/faces; this endpoint still accepts replica_id).
"r90bbd427f71"
A name for the video.
"My First Video"
A link to a website. This will be used as the background for the video. The website must be publicly accessible and properly formed.
"https://yourwebsite.com/"
A direct link to a video that is publicly accessible via a storage location such as an S3 bucket. This will be used as the background for the video. The video must be publicly accessible.
"https://my-example-bucket.s3.us-east-1.amazonaws.com/your-background-video.mp4"
A url that will receive a callback on completion of video generation or on error.
"https://yourwebsite.com/webhook"
If set to true, the video will be generated using a barebones fast rendering process. This will result in a faster generation of the video but some features will be disabled. Features such as background generation, thumbnail images, and streaming urls are not supported when using this fast rendering process.
false
If set to true, the generated video will be a .webm video with a transparent background.
Please note that this feature only works if the fast parameter is set to true.
false
A direct link to a image that is publicly accessible via a storage location such as an S3 bucket. This will be used as the watermark on the video. Currently, it support png & jpeg formats only. Ensure the image is publicly accessible.
"https://s3.amazonaws.com/watermark.png"
Response
A unique identifier for the video.
"abcd123"
The name of the video.
"Sample Video"
The status of the video. Possible values: queued, generating, ready, deleted, error.
"queued"
A direct link to view your video once generation has completed, hosted by Tavus.
"https://tavus.video/abcd123"
The date and time the video was created.
"Mon, 14 Jul 2025 09:14:24 GMT"

